当前位置:首页 > 资讯 > info6 > 正文

Unable to resolve target 'android-15'解决方法

发表于: 2014-02-25   作者:chchlh   来源:转载   浏览:
摘要: 导入旧的工程包的时候,出现很多错误提示,按照下面方法成功运行:(1)提示Unabletoresolvetarget'android-15',并且全文出错,原来是出现该问题的大部分原因是因为被导入的项目使用的SDK版本与当前开发环境的SDK不符,解决办法如下:1.修改工程目录下的project.properties文件,找到target=android-7,改成target=android-17(当

导入旧的工程包的时候,出现很多错误提示,按照下面方法成功运行:

(1)提示Unable to resolve target 'android-15',并且全文出错,原来是


出现该问题的大部分原因是因为被导入的项目使用的SDK版本与当前开发环境的SDK不符,解决办法如下:

1.修改工程目录下的project.properties文件,找到target=android-7,改成target=android-17(当前SDK版本)就可以了。

2.在AndroidManifest.xml中,将<uses-sdk android:minSdkVersion="7"></uses-sdk> 改为

<uses-sdk android:minSdkVersion="17"></uses-sdk>,并移动到<application ...>之前。

(2)运行又出现问题:failed to find provider info for .……

于是看到android:minSdkVersion这里提示一些最小的可以兼容,大了可能反而不行。我的是4.2的,所以改成17可能太大了?于是改成15。运行成功。

Google出的这个Eclipse真的很麻烦,微软的vs很直接,但是Eclipse出现问题老是很难发现,一个小小的bug会导致整篇不行,甚至找不到原因。唯一一个好的是java编程,至少看起来很有对象的层次感,不然这个软件的体验也太差了。

Unable to resolve target 'android-15'解决方法

编辑推荐
在导入项目的时候,我们可能会遇见导入项目的版本不匹配的问题,这个时候我们可能会遇见Unable to r
Solve this problem. Left click project->Build Path->Configure build path...-> Androi
eclipse导入项目后出现Unable to resolve target 'android-17'解决方法,在最后附带另一种编译逻辑
When import an project to my workspace, I encountered a problem: Unable to resolve target 'an
解决Unable to resolve target 'android-7'报错 | 浏览:11534 | 更新:2014-01-23 20:34 1 <li
又一次装完Ecplise+ATD+Android SDK 在Ecplise工作空间导入之前写过的Android项目会出现错误,大部
重新装完Ecplise+ATD+Android SDK 在Ecplise工作空间导入之前写过的Android项目会出现错误,大部分
重新装完Ecplise+ATD+Android SDK 在Ecplise工作空间导入之前写过的Android项目会出现错误,大部分
错误提示:android编译时出现'Unable to resolve target 'android-5' 解决方法: 这种错误一般大部
这是由于项目的android的版本没有设置好,解决方法如下: 1,clean项目 选择【project】-【clean】
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号